package com.persagy.apm.energy.report.monthly.detail.business.service;

import com.persagy.apm.energy.report.monthly.detail.business.model.*;
import com.persagy.apm.energy.report.monthly.detail.business.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 报告详情表(ReportBusinessDetail) service接口
 *
 * @author lixing
 * @version V1.0 2021-05-17 10:48:45
 */
public interface IReportBusinessDetailService {

    /**
     * 创建报告详情表
     *
     * @param addReportBusinessDetailDTO addDTO
     * @return 报告详情表主键
     * @author lixing
     * @version V1.0 2021-05-17 10:48:45
     */
    String createReportBusinessDetail(AddReportBusinessDetailDTO addReportBusinessDetailDTO);

    /**
     * 报告详情表详情
     *
     * @param id 主键
     * @return 报告详情表do对象
     * @author lixing
     * @version V1.0 2021-05-17 10:48:45
     */
    ReportBusinessDetail queryReportBusinessDetailDetail(String id);

    /**
     * 更新报告详情表
     *
     * @param updateReportBusinessDetailDTO updateDTO
     * @author lixing
     * @version V1.0 2021-05-17 10:48:45
     */
    void updateReportBusinessDetail(UpdateReportBusinessDetailDTO updateReportBusinessDetailDTO);

    /**
     * 删除报告详情表
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-05-17 10:48:45
     */
    void deleteReportBusinessDetail(String id);

    /**
     * 查询报告详情表
     *
     * @param queryReportBusinessDetailDTO queryDTO
     * @return List<ReportBusinessDetail>
     * @author lixing
     * @version V1.0 2021-05-17 10:48:45
     */
    List<ReportBusinessDetail> queryReportBusinessDetailList(QueryReportBusinessDetailDTO queryReportBusinessDetailDTO);

    /**
     * 分页查询报告详情表
     *
     * @param pageQueryReportBusinessDetailDTO pageQueryDTO
     * @return IPage<ReportBusinessDetail>
     * @author lixing
     * @version V1.0 2021-05-17 10:48:45
     */
    IPage<ReportBusinessDetail> pageQueryReportBusinessDetail(PageQueryReportBusinessDetailDTO pageQueryReportBusinessDetailDTO);
}
